finley/src/FinleyDomain.h File Reference
`#include <finley/Finley.h>`
`#include <finley/ElementFile.h>`
`#include <finley/NodeFile.h>`
`#include <finley/Util.h>`
`#include <escript/AbstractContinuousDomain.h>`
`#include <escript/FunctionSpace.h>`
`#include <escript/FunctionSpaceFactory.h>`
`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | finley::FinleyDomain
| FinleyDomain implements the AbstractContinuousDomain interface for the Finley library. More...

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Typedefs

typedef std::map< std::string, int > | finley::TagMap

## Enumerations

enum | finley::SystemMatrixType { finley::SMT_PASO = 1<<8, finley::SMT_TRILINOS = 1<<10, finley::SMT_COMPLEX = 1<<16, finley::SMT_UNROLL = 1<<17 }